package jp.co.powerbeans.common.msg;

/**
 * Const class by jp/co/powerbeans/common/msg/commsg.
 */
public final class ComMsg {

  static java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("jp.co.powerbeans.common.msg.commsg");

  /**
   * return value of is.delete.select.rows in jp/co/powerbeans/common/msg/commsg.
   * @return "選択行を削除しますか？"
   */
  public static final String getIsDeleteSelectRows() {
    return bundle.getString("is.delete.select.rows");
  }

  /**
   * return value of menu.edit in jp/co/powerbeans/common/msg/commsg.
   * @return "編集(&E)"
   */
  public static final String getMenuEdit() {
    return bundle.getString("menu.edit");
  }

  /**
   * return value of invalid.date.format in jp/co/powerbeans/common/msg/commsg.
   * @return "日付が不正です。(書式= yyyy/mm/dd)"
   */
  public static final String getInvalidDateFormat() {
    return bundle.getString("invalid.date.format");
  }

  /**
   * return value of exit in jp/co/powerbeans/common/msg/commsg.
   * @return "終了"
   */
  public static final String getExit() {
    return bundle.getString("exit");
  }

  /**
   * return value of version.info in jp/co/powerbeans/common/msg/commsg.
   * @return "バージョン情報"
   */
  public static final String getVersionInfo() {
    return bundle.getString("version.info");
  }

  /**
   * return value of please.wait in jp/co/powerbeans/common/msg/commsg.
   * @return "お待ちください..."
   */
  public static final String getPleaseWait() {
    return bundle.getString("please.wait");
  }

  /**
   * return value of main.menu in jp/co/powerbeans/common/msg/commsg.
   * @return "メインメニュー"
   */
  public static final String getMainMenu() {
    return bundle.getString("main.menu");
  }

  /**
   * return value of select.1row in jp/co/powerbeans/common/msg/commsg.
   * @return "１行選択してください。"
   */
  public static final String getSelect1row() {
    return bundle.getString("select.1row");
  }

  /**
   * return value of help in jp/co/powerbeans/common/msg/commsg.
   * @return "ヘルプ"
   */
  public static final String getHelp() {
    return bundle.getString("help");
  }

  /**
   * return value of submited in jp/co/powerbeans/common/msg/commsg.
   * @return "登録しました。"
   */
  public static final String getSubmited() {
    return bundle.getString("submited");
  }

  /**
   * return value of input.require.item in jp/co/powerbeans/common/msg/commsg.
   * @return "入力必須項目です。"
   */
  public static final String getInputRequireItem() {
    return bundle.getString("input.require.item");
  }

  /**
   * return value of menu.html in jp/co/powerbeans/common/msg/commsg.
   * @return "HTML (&H)"
   */
  public static final String getMenuHtml() {
    return bundle.getString("menu.html");
  }

  /**
   * return value of circle.chart in jp/co/powerbeans/common/msg/commsg.
   * @return "円チャート"
   */
  public static final String getCircleChart() {
    return bundle.getString("circle.chart");
  }

  /**
   * return value of menu.pause in jp/co/powerbeans/common/msg/commsg.
   * @return "中断(&P)"
   */
  public static final String getMenuPause() {
    return bundle.getString("menu.pause");
  }

  /**
   * return value of bar.chart in jp/co/powerbeans/common/msg/commsg.
   * @return "棒チャート"
   */
  public static final String getBarChart() {
    return bundle.getString("bar.chart");
  }

  /**
   * return value of menu.add in jp/co/powerbeans/common/msg/commsg.
   * @return "追加(&A)"
   */
  public static final String getMenuAdd() {
    return bundle.getString("menu.add");
  }

  /**
   * return value of select.item in jp/co/powerbeans/common/msg/commsg.
   * @return "項目を選択してください。"
   */
  public static final String getSelectItem() {
    return bundle.getString("select.item");
  }

  /**
   * return value of select.rows in jp/co/powerbeans/common/msg/commsg.
   * @return "行を選択してください。"
   */
  public static final String getSelectRows() {
    return bundle.getString("select.rows");
  }

  /**
   * return value of now.stating in jp/co/powerbeans/common/msg/commsg.
   * @return "起動中"
   */
  public static final String getNowStating() {
    return bundle.getString("now.stating");
  }

  /**
   * return value of menu.output in jp/co/powerbeans/common/msg/commsg.
   * @return "出力(&O)"
   */
  public static final String getMenuOutput() {
    return bundle.getString("menu.output");
  }

  /**
   * return value of menu.del in jp/co/powerbeans/common/msg/commsg.
   * @return "削除(&D)"
   */
  public static final String getMenuDel() {
    return bundle.getString("menu.del");
  }
}
