/**
 * $Id$
 */
package jp.co.powerbeans.common.string;

/**
 * HtmlUtil
 * 
 * @author amonden
 * @create 2006/12/25
 */
public class HtmlUtil {

  /**
   * 
   */
  private HtmlUtil() {
    super();
  }

  /**
   * text 内のHTMLタグを削除
   * @param text
   * @return 削除後文字列
   */
  public static String removeTag(String text) {
    
    if (text == null) {
      return null;
    }
    return text.replaceAll("<[^>]*>","").replaceAll("&nbsp;"," ").replaceAll("&lt;","<").replaceAll("&gt;",">");
  }

  /**
   * text 内のHTMLタグを削除しtrim
   * @param text
   * @return 削除後文字列
   */
  public static String removeTagTrim(String text) {
    
    if (text == null) {
      return null;
    }
    return removeTag(text).trim();
  }

}
