/**
 * $Id$
 */
package jp.co.powerbeans.common.swt;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;

/**
 * CmdSelectionListener
 * 
 * @author amonden
 * @create 2006/12/21
 */
public class CmdSelectionListener implements SelectionListener {

    /**
     * コマンド.実行するメソッド名の "cmd" 以降を表す
     */
    private String cmd;
    /**
     * コマンドディスパッチャ
     */
    private PBCmdDispatch dispacher;

  /**
   * @param swt
   * @param cmd
   */
  public CmdSelectionListener(PBCmdDispatch dispachert, String cmd) {
    this.dispacher = dispachert;
    this.cmd = cmd;
  }

  /* (非 Javadoc)
   * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
   */
  public void widgetSelected(SelectionEvent e) {
    this.dispacher.dispatchCmd(this.cmd, null);
  }

  /* (非 Javadoc)
   * @see org.eclipse.swt.events.SelectionListener#widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent)
   */
  public void widgetDefaultSelected(SelectionEvent e) {
    // 処理なし
  }

}
