package jp.co.powerbeans.common.swt;

import jp.co.powerbeans.common.msg.ComMsg;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.MessageBox;

/**
 * Swtメッセージボックス表示Util
 * @author amonden
 *
 */
public class MsgSwt {

	public static int warn(String message) {
		MessageBox msgbox = new MessageBox(Display.getCurrent()
				.getActiveShell());
//		msgbox.setText(ComMsg.getAppName());
		msgbox.setMessage(message);
		return msgbox.open();
	}
	public static void warnSelTable1Row() {
		warn(ComMsg.getSelect1row());
	}
	public static void warnSelTableRows() {
		warn(ComMsg.getSelectRows());
	}

	public static void warnRequire() {
		warn(ComMsg.getInputRequireItem());
	}


	public static void dispatchException(Throwable e) {
		warn(e.getMessage());
		e.printStackTrace();
		throw new ChkConvSwtRuntimeException(e);
	}
	public static boolean confirm(String message) {
		MessageBox msgbox = new MessageBox(Display.getCurrent()
				.getActiveShell(), SWT.YES | SWT.NO);
//		msgbox.setText(ComMsg.getAppName());
		msgbox.setMessage(message);
		return msgbox.open() == SWT.YES;
	}

	public static boolean isDelete() {
        return confirm(ComMsg.getIsDeleteSelectRows());
	}
	public static void warnSelCombo() {
        warn(ComMsg.getSelectItem());
	}
	public static void warnInvalidDate() {
        warn(ComMsg.getInvalidDateFormat());
	}

}
