/**
 * WebSukui
 * create date 2006/10/05
 * amonden
 */
package jp.co.powerbeans.common.swt;

/**
 * PBMainMenuSwt
 * @author amonden
 * @create date 2006/10/05
 */
public abstract class PBMainMenuSwt extends PBSwt {

  private static final String TITLE = "メインメニュー";

  static final int WINDOW_WIDTH = 450;

  static final int WINDOW_HEIGTH = 25;

  static final int BUTTON_WIDTH = WINDOW_WIDTH;

  static final int BUTTON_HEIGTH = 30;
  
  /**
   * @param menu_items
   */
  public PBMainMenuSwt(WindowInfo[] window_infos) {
    this(window_infos, TITLE);
  }
  
  /**
   * @param menu_items
   */
  public PBMainMenuSwt(WindowInfo[] window_infos, String title) {
    createSShell(TITLE, WINDOW_WIDTH, WINDOW_HEIGTH +  BUTTON_HEIGTH * window_infos.length);
    for (int i = 0; i < window_infos.length; i++) {
      addShowWindowButton(window_infos[i]);
    }
  }

}
