/**
 * WebSukui
 * copyright PowerBEANS Co., Ltd.
 * create date 2006/10/10
 * amonden
 */
package jp.co.powerbeans.common.swt;

/**
 * PBMiniSwt
 * @author amonden
 * @create date 2006/10/10
 */
public abstract class PBMiniSwt extends PBSwt {

  private static final int WIDTH = 300;
  private static final int HEIGHT = 200;

  /* (non-Javadoc)
   * @see jp.co.powerbeans.websukui.swt.PBSwt#createSShell(java.lang.String, boolean)
   */
  @Override
  protected void createSShell(String title, boolean modal) {
    super.createSShell(title, WIDTH, HEIGHT, modal);
  }

  /* (non-Javadoc)
   * @see jp.co.powerbeans.websukui.swt.PBSwt#createSShell(java.lang.String)
   */
  @Override
  protected void createSShell(String title) {
    super.createSShell(title, WIDTH, HEIGHT);
  }
}
