/**
 * $Id$
 */
package jp.co.powerbeans.kaishuj.logic;

import jp.co.powerbeans.common.db.DBManager;
import jp.co.powerbeans.kaishuj.models.ClassInfo;

/**
 * ClassRemoveMgr
 * 
 * @author amonden
 * @create 2006/12/25
 */
public class ClassRemoveMgr {

  /**
   * 
   */
  public ClassRemoveMgr() {
    super();
  }

  /**
   * cls_infoのclassName,javadocUrlId,packageName と一致する classInfoId を持つ model_cls のテーブルレコードを削除
   * @param model_cls 削除対象モデルクラス
   * @param cls_info クラス
   */
  public static void removeByClassInfo(Class model_cls, ClassInfo cls_info) {
    DBManager.removeBy(model_cls, "" +
        "classInfoId IN (SELECT classInfoId FROM ClassInfo WHERE className = '" + cls_info.getClassName() + "' AND javadocUrlId = " + cls_info.getJavadocUrlId() + 
        " AND packageName = '" + cls_info.getPackageName() + "')");
  }

}
