/**
 * $Id$
 */
package jp.co.powerbeans.kaishuj.models;

import java.io.Serializable;

/**
 * ConstructorInfo
 * 
 * @author amonden
 * @create 2006/12/21
 */
public class ConstructorInfo implements Serializable {

  /**
   * 
   */
  private static final long serialVersionUID = 1L;
  
  /**
   * コンストラクタ情報ID
   */
  private int constructorInfoId;
  /**
   * コンストラクタ名
   */
  private String constructorName;
  /**
   * クラス情報ID
   */
  private int classInfoId;
  /**
   * パラメータ引数
   */
  private String param;
  /**
   * 簡易説明
   */
  private String simpleExplain;
  /**
   * 詳細説明
   */
  private String explain;
  /**
   * @return classInfoId を戻します。
   */
  public int getClassInfoId() {
    return this.classInfoId;
  }
  /**
   * @param classInfoId 設定する classInfoId。
   */
  public void setClassInfoId(int classInfoId) {
    this.classInfoId = classInfoId;
  }
  /**
   * @return constructorInfoId を戻します。
   */
  public int getConstructorInfoId() {
    return this.constructorInfoId;
  }
  /**
   * @param constructorInfoId 設定する constructorInfoId。
   */
  public void setConstructorInfoId(int constructorInfoId) {
    this.constructorInfoId = constructorInfoId;
  }
  /**
   * @return explain を戻します。
   */
  public String getExplain() {
    return this.explain;
  }
  /**
   * @param explain 設定する explain。
   */
  public void setExplain(String explain) {
    this.explain = explain;
  }
  /**
   * @return param を戻します。
   */
  public String getParam() {
    return this.param;
  }
  /**
   * @param param 設定する param。
   */
  public void setParam(String param) {
    this.param = param;
  }
  /**
   * @return simpleExplain を戻します。
   */
  public String getSimpleExplain() {
    return this.simpleExplain;
  }
  /**
   * @param simpleExplain 設定する simpleExplain。
   */
  public void setSimpleExplain(String simpleExplain) {
    this.simpleExplain = simpleExplain;
  }
  /**
   * @return constructorName を戻します。
   */
  public String getConstructorName() {
    return this.constructorName;
  }
  /**
   * @param constructorName 設定する constructorName。
   */
  public void setConstructorName(String constructorName) {
    this.constructorName = constructorName;
  }

}
