/**
 * $Id$
 */
package jp.co.powerbeans.kaishuj.models;

import java.io.Serializable;

/**
 * FieldInfo
 * 
 * @author amonden
 * @create 2006/12/21
 */
public class FieldInfo implements Serializable {

  /**
   * 
   */
  private static final long serialVersionUID = 1L;
  /**
   * フィールド情報ID
   */
  private int fieldInfoId;
  /**
   * クラス情報ID
   */
  private int classInfoId;
  /**
   * フィールド名(ITEM_EVENT_MASK)
   */
  private String fieldName;
  
  /**
   * フィールド定義(public static final long ITEM_EVENT_MASK)
   */
  private String fieldDef;
  /**
   * 詳細説明
   */
  private String explain;

  /**
   * @return classInfoId を戻します。
   */
  public int getClassInfoId() {
    return this.classInfoId;
  }
  /**
   * @param classInfoId 設定する classInfoId。
   */
  public void setClassInfoId(int classInfoId) {
    this.classInfoId = classInfoId;
  }
  /**
   * @return fieldInfoId を戻します。
   */
  public int getFieldInfoId() {
    return this.fieldInfoId;
  }
  /**
   * @param fieldInfoId 設定する fieldInfoId。
   */
  public void setFieldInfoId(int fieldInfoId) {
    this.fieldInfoId = fieldInfoId;
  }
  /**
   * @return fieldName を戻します。
   */
  public String getFieldName() {
    return this.fieldName;
  }
  /**
   * @param fieldName 設定する fieldName。
   */
  public void setFieldName(String fieldName) {
    this.fieldName = fieldName;
  }
  /**
   * @return explain を戻します。
   */
  public String getExplain() {
    return this.explain;
  }
  /**
   * @param explain 設定する explain。
   */
  public void setExplain(String explain) {
    this.explain = explain;
  }
  /**
   * @return fieldDef を戻します。
   */
  public String getFieldDef() {
    return this.fieldDef;
  }
  /**
   * @param fieldDef 設定する fieldDef。
   */
  public void setFieldDef(String fieldDef) {
    this.fieldDef = fieldDef;
  }
}
