package jp.co.powerbeans.kaishuj.models;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * JavaDocのURL情報
 * @author amonden
 *
 */
public class JavadocUrl implements Serializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = -6246509571322386760L;
	private int javadocUrlId;
	private String url;
	private String moduleName;
	private String moduleVersion;
	private String locale;
	private String encode;
	private int licenseId;
	private Timestamp createDt;
	private Timestamp updateDt;
    private String lastRoundDt;
	private int lastRoundObjNum;
	
	
	
	/**
	 * @return createDt を戻します。
	 */
	public Timestamp getCreateDt() {
		return this.createDt;
	}
	/**
	 * @param createDt 設定する createDt。
	 */
	public void setCreateDt(Timestamp createDt) {
		this.createDt = createDt;
	}
	/**
	 * @return encode を戻します。
	 */
	public String getEncode() {
		return this.encode;
	}
	/**
	 * @param encode 設定する encode。
	 */
	public void setEncode(String encode) {
		this.encode = encode;
	}
	/**
	 * @return javadocUrlId を戻します。
	 */
	public int getJavadocUrlId() {
		return this.javadocUrlId;
	}
	/**
	 * @param javadocUrlId 設定する javadocUrlId。
	 */
	public void setJavadocUrlId(int javadocUrlId) {
		this.javadocUrlId = javadocUrlId;
	}
	/**
	 * @return licenseId を戻します。
	 */
	public int getLicenseId() {
		return this.licenseId;
	}
	/**
	 * @param licenseId 設定する licenseId。
	 */
	public void setLicenseId(int licenseId) {
		this.licenseId = licenseId;
	}
	/**
	 * @return locale を戻します。
	 */
	public String getLocale() {
		return this.locale;
	}
	/**
	 * @param locale 設定する locale。
	 */
	public void setLocale(String locale) {
		this.locale = locale;
	}
	/**
	 * @return name を戻します。
	 */
	public String getModuleName() {
		return this.moduleName;
	}
	/**
	 * @param name 設定する name。
	 */
	public void setModuleName(String name) {
		this.moduleName = name;
	}
	/**
	 * @return updateDt を戻します。
	 */
	public Timestamp getUpdateDt() {
		return this.updateDt;
	}
	/**
	 * @param updateDt 設定する updateDt。
	 */
	public void setUpdateDt(Timestamp updateDt) {
		this.updateDt = updateDt;
	}
	/**
	 * @return url を戻します。
	 */
	public String getUrl() {
		return this.url;
	}
	/**
	 * @param url 設定する url。
	 */
	public void setUrl(String url) {
		this.url = url;
	}
	/**
	 * @return lastRoundObjNum を戻します。
	 */
	public int getLastRoundObjNum() {
		return this.lastRoundObjNum;
	}
	/**
	 * @param lastRoundObjNum 設定する lastRoundObjNum。
	 */
	public void setLastRoundObjNum(int lastRoundObjNum) {
		this.lastRoundObjNum = lastRoundObjNum;
	}
	/**
	 * @return moduleVersion を戻します。
	 */
	public String getModuleVersion() {
		return this.moduleVersion;
	}
	/**
	 * @param moduleVersion 設定する moduleVersion。
	 */
	public void setModuleVersion(String moduleVersion) {
		this.moduleVersion = moduleVersion;
	}
  /**
   * @return lastRoundDt を戻します。
   */
  public String getLastRoundDt() {
    return this.lastRoundDt;
  }
  /**
   * @param lastRoundDt 設定する lastRoundDt。
   */
  public void setLastRoundDt(String lastRoundDt) {
    this.lastRoundDt = lastRoundDt;
  }
	
}
