package jp.co.powerbeans.kaishuj.models;

import jp.co.powerbeans.powerql.POQLInitBean;

/**
 * Licenseマスタ
 * @author amonden
 *
 */
public class License implements POQLInitBean {


	/**
	 * 
	 */
	private static final long serialVersionUID = -6246509571322386760L;
	private int licenseId;
	private String licenseName;
	
	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialData()
	 */
	public Object[] initialData() {
		License[] datas = new License[] {
				new License(1, "GPL"),
				new License(2, "LGPL")
		};
		
		return datas;
	}
	
	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialTruncate()
	 */
	public boolean initialTruncate() {
		return false;
	}

	
	/**
	 * @return licenseId を戻します。
	 */
	public int getLicenseId() {
		return this.licenseId;
	}
	/**
	 * @param licenseId 設定する licenseId。
	 */
	public void setLicenseId(int licenseId) {
		this.licenseId = licenseId;
	}
	/**
	 * @return licenseName を戻します。
	 */
	public String getLicenseName() {
		return this.licenseName;
	}
	/**
	 * @param licenseName 設定する licenseName。
	 */
	public void setLicenseName(String licenseName) {
		this.licenseName = licenseName;
	}

	/**
	 * @param licenseId
	 * @param licenseName
	 */
	public License(int licenseId, String licenseName) {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
		this.licenseId = licenseId;
		this.licenseName = licenseName;
	}

	
}
