package jp.co.powerbeans.kaishuj.models;

import jp.co.powerbeans.powerql.POQLInitBean;

/**
 * Licenseマスタ
 * @author amonden
 *
 */
public class SearchCondTargetType implements POQLInitBean {


	/**
	 * 
	 */
	private static final long serialVersionUID = -6246509571322386760L;
    private int searchCondTargetTypeId;
    private String typeName;
    private String typeNameSqlIn;
    
    
	
	/**
     * 
     */
    public SearchCondTargetType() {
      super();
    }

  /**
     * @param i
     * @param typeName
     * @param typeNameSqlIn
     */
    public SearchCondTargetType(int searchCondTargetTypeId, String typeName, String typeNameSqlIn) {
      this.searchCondTargetTypeId = searchCondTargetTypeId;
      this.typeName = typeName;
      this.typeNameSqlIn = typeNameSqlIn;
    }

  /* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialData()
	 */
	public Object[] initialData() {
		SearchCondTargetType[] datas = new SearchCondTargetType[] {
            new SearchCondTargetType(1, "All Type", "\"Class\",\"Interface\",\"Enum\""),
            new SearchCondTargetType(2, "Class", "\"Class\""),
            new SearchCondTargetType(3, "Interface", "\"Interface\""),
            new SearchCondTargetType(4, "Enum", "\"Enum\""),
		};
		
		return datas;
	}
	
	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialTruncate()
	 */
	public boolean initialTruncate() {
		return false;
	}

  /**
   * @return searchCondTargetTypeId を戻します。
   */
  public int getSearchCondTargetTypeId() {
    return this.searchCondTargetTypeId;
  }

  /**
   * @param searchCondTargetTypeId 設定する searchCondTargetTypeId。
   */
  public void setSearchCondTargetTypeId(int searchCondTargetTypeId) {
    this.searchCondTargetTypeId = searchCondTargetTypeId;
  }

  /**
   * @return typeName を戻します。
   */
  public String getTypeName() {
    return this.typeName;
  }

  /**
   * @param typeName 設定する typeName。
   */
  public void setTypeName(String typeName) {
    this.typeName = typeName;
  }

  /**
   * @return typeNameSqlIn を戻します。
   */
  public String getTypeNameSqlIn() {
    return this.typeNameSqlIn;
  }

  /**
   * @param typeNameSqlIn 設定する typeNameSqlIn。
   */
  public void setTypeNameSqlIn(String typeNameSqlIn) {
    this.typeNameSqlIn = typeNameSqlIn;
  }

	
}
