/**
 * WebSukui
 * create date 2006/10/05
 * amonden
 */
package jp.co.powerbeans.common.swt;

import java.io.Serializable;

/**
 * WindowInfo
 * @author amonden
 * @create date 2006/10/05
 */
public class WindowInfo implements Serializable {

  /**
   * 
   */
  private static final long serialVersionUID = -3393138411848473378L;
  private String showButtonLabel;
  private Class swtClass;
  private Object[] constParams;
  
  /**
   * @param objects 
   * @param string
   * @param name
   */
  public WindowInfo(String show_button_label, Class swt_class) {
    this(show_button_label, swt_class, null);
  }
  
  /**
   * @param objects 
   * @param string
   * @param name
   */
  public WindowInfo(String show_button_label, Class swt_class, Object[] const_params) {
    this.showButtonLabel = show_button_label;
    this.swtClass = swt_class;
    this.constParams = const_params;
  }
  /**
   * @return showButtonLabel
   */
  public String getShowButtonLabel() {
    return showButtonLabel;
  }
  /**
   * @param showButtonLabel 設定する showButtonLabel
   */
  public void setShowButtonLabel(String showButtonLabel) {
    this.showButtonLabel = showButtonLabel;
  }
  /**
   * @return swtClass
   */
  public Class getSwtClass() {
    return swtClass;
  }
  /**
   * @param swtClass 設定する swtClass
   */
  public void setSwtClass(Class swtClass) {
    this.swtClass = swtClass;
  }
  /**
   * constParams を取得する
   * @return constParams
   */
  public Object[] getConstParams() {
    return constParams;
  }
  /**
   * constParams を設定する
   * @param constParams 設定する constParams
   */
  public void setConstParams(Object[] constParams) {
    this.constParams = constParams;
  }
  
}
