/**
 * $Id$
 */
package jp.co.powerbeans.kaishuj.models;

import java.io.Serializable;

/**
 * MethodInfo
 * 
 * @author amonden
 * @create 2006/12/21
 */
public class MethodInfo implements Serializable {

  /**
   * 
   */
  private static final long serialVersionUID = 1L;
  
  /**
   * メソッド情報ID
   */
  private int methodInfoId;
  
  /**
   * メソッド名
   */
  private String methodName;
  
  /**
   * クラス情報ID
   */
  private int classInfoId;
  
  /**
   * メソッド定義
   */
  private String methodDef;
  
  /**
   * メソッド定義
   */
  private String defineClass;
  
  /**
   * オーバーライド
   */
  private String methodOrverride;
  
  /**
   * パラメータ詳細
   */
  private String methodParam;
  
  /**
   * スローする例外
   */
  private String methodException;
  
  /**
   * 関連項目
   */
  private String methodKanren;

  /**
   * 詳細説明
   */
  private String explain;

  /**
   * @return classInfoId を戻します。
   */
  public int getClassInfoId() {
    return this.classInfoId;
  }

  /**
   * @param classInfoId 設定する classInfoId。
   */
  public void setClassInfoId(int classInfoId) {
    this.classInfoId = classInfoId;
  }

  /**
   * @return defineClass を戻します。
   */
  public String getDefineClass() {
    return this.defineClass;
  }

  /**
   * @param defineClass 設定する defineClass。
   */
  public void setDefineClass(String defineClass) {
    this.defineClass = defineClass;
  }

  /**
   * @return explain を戻します。
   */
  public String getExplain() {
    return this.explain;
  }

  /**
   * @param explain 設定する explain。
   */
  public void setExplain(String explain) {
    this.explain = explain;
  }

  /**
   * @return methodDef を戻します。
   */
  public String getMethodDef() {
    return this.methodDef;
  }

  /**
   * @param methodDef 設定する methodDef。
   */
  public void setMethodDef(String methodDef) {
    this.methodDef = methodDef;
  }

  /**
   * @return methodException を戻します。
   */
  public String getMethodException() {
    return this.methodException;
  }

  /**
   * @param methodException 設定する methodException。
   */
  public void setMethodException(String methodException) {
    this.methodException = methodException;
  }

  /**
   * @return methodInfoId を戻します。
   */
  public int getMethodInfoId() {
    return this.methodInfoId;
  }

  /**
   * @param methodInfoId 設定する methodInfoId。
   */
  public void setMethodInfoId(int methodInfoId) {
    this.methodInfoId = methodInfoId;
  }

  /**
   * @return methodKanren を戻します。
   */
  public String getMethodKanren() {
    return this.methodKanren;
  }

  /**
   * @param methodKanren 設定する methodKanren。
   */
  public void setMethodKanren(String methodKanren) {
    this.methodKanren = methodKanren;
  }

  /**
   * @return methodName を戻します。
   */
  public String getMethodName() {
    return this.methodName;
  }

  /**
   * @param methodName 設定する methodName。
   */
  public void setMethodName(String methodName) {
    this.methodName = methodName;
  }

  /**
   * @return methodOrverride を戻します。
   */
  public String getMethodOrverride() {
    return this.methodOrverride;
  }

  /**
   * @param methodOrverride 設定する methodOrverride。
   */
  public void setMethodOrverride(String methodOrverride) {
    this.methodOrverride = methodOrverride;
  }

  /**
   * @return methodParam を戻します。
   */
  public String getMethodParam() {
    return this.methodParam;
  }

  /**
   * @param methodParam 設定する methodParam。
   */
  public void setMethodParam(String methodParam) {
    this.methodParam = methodParam;
  }

}
