package jp.co.powerbeans.kaishuj.msg;

/**
 * Const class by jp/co/powerbeans/kaishuj/msg/msg.
 */
public final class Msg {

  static java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("jp.co.powerbeans.kaishuj.msg.msg");

  /**
   * return value of config.browserPath.default in jp/co/powerbeans/kaishuj/msg/msg.
   * @return ""C:\Program Files\Mozilla Firefox\firefox.exe""
   */
  public static final String getConfigBrowserPathDefault() {
    return bundle.getString("config.browserPath.default");
  }

  /**
   * return value of title.url.master in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "JavaDocURL管理"
   */
  public static final String getTitleUrlMaster() {
    return bundle.getString("title.url.master");
  }

  /**
   * return value of lbl.type in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "種類"
   */
  public static final String getLblType() {
    return bundle.getString("lbl.type");
  }

  /**
   * return value of lbl.id in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "ID"
   */
  public static final String getLblId() {
    return bundle.getString("lbl.id");
  }

  /**
   * return value of lbl.search.result in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "検索結果"
   */
  public static final String getLblSearchResult() {
    return bundle.getString("lbl.search.result");
  }

  /**
   * return value of lbl.url.list in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "URL一覧"
   */
  public static final String getLblUrlList() {
    return bundle.getString("lbl.url.list");
  }

  /**
   * return value of lbl.package in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "パッケージ"
   */
  public static final String getLblPackage() {
    return bundle.getString("lbl.package");
  }

  /**
   * return value of lbl.target.class in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "対象クラス"
   */
  public static final String getLblTargetClass() {
    return bundle.getString("lbl.target.class");
  }

  /**
   * return value of title.mainMenu in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "メインメニュー"
   */
  public static final String getTitleMainMenu() {
    return bundle.getString("title.mainMenu");
  }

  /**
   * return value of lbl.operation in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "操作"
   */
  public static final String getLblOperation() {
    return bundle.getString("lbl.operation");
  }

  /**
   * return value of lbl.encode in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "encode"
   */
  public static final String getLblEncode() {
    return bundle.getString("lbl.encode");
  }

  /**
   * return value of config.browserPath.name in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "ブラウザ実行ファイルパス"
   */
  public static final String getConfigBrowserPathName() {
    return bundle.getString("config.browserPath.name");
  }

  /**
   * return value of title.classNavi in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "クラスナビ"
   */
  public static final String getTitleClassNavi() {
    return bundle.getString("title.classNavi");
  }

  /**
   * return value of lbl.config in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "設定"
   */
  public static final String getLblConfig() {
    return bundle.getString("lbl.config");
  }

  /**
   * return value of msg.select.URL in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "URLを選択してください."
   */
  public static final String getMsgSelectURL() {
    return bundle.getString("msg.select.URL");
  }

  /**
   * return value of lbl.target in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "対象"
   */
  public static final String getLblTarget() {
    return bundle.getString("lbl.target");
  }

  /**
   * return value of app.version in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "1.0"
   */
  public static final String getAppVersion() {
    return bundle.getString("app.version");
  }

  /**
   * return value of help in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "ヘルプ"
   */
  public static final String getHelp() {
    return bundle.getString("help");
  }

  /**
   * return value of lbl.method in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "メソッド"
   */
  public static final String getLblMethod() {
    return bundle.getString("lbl.method");
  }

  /**
   * return value of lbl.viewByBrowser in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "ブラウザ表示"
   */
  public static final String getLblViewByBrowser() {
    return bundle.getString("lbl.viewByBrowser");
  }

  /**
   * return value of title.roundWeb in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "巡回収集"
   */
  public static final String getTitleRoundWeb() {
    return bundle.getString("title.roundWeb");
  }

  /**
   * return value of lbl.field in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "フィールド"
   */
  public static final String getLblField() {
    return bundle.getString("lbl.field");
  }

  /**
   * return value of lbl.URL in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "URL"
   */
  public static final String getLblURL() {
    return bundle.getString("lbl.URL");
  }

  /**
   * return value of app.name.long in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "KaishuJ"
   */
  public static final String getAppNameLong() {
    return bundle.getString("app.name.long");
  }

  /**
   * return value of author.email in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "monden@powerbeans.co.jp"
   */
  public static final String getAuthorEmail() {
    return bundle.getString("author.email");
  }

  /**
   * return value of lbl.module.name in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "モジュール名"
   */
  public static final String getLblModuleName() {
    return bundle.getString("lbl.module.name");
  }

  /**
   * return value of lbl.linenum in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "行目"
   */
  public static final String getLblLinenum() {
    return bundle.getString("lbl.linenum");
  }

  /**
   * return value of lbl.detail in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "詳細"
   */
  public static final String getLblDetail() {
    return bundle.getString("lbl.detail");
  }

  /**
   * return value of lbl.select in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "選択"
   */
  public static final String getLblSelect() {
    return bundle.getString("lbl.select");
  }

  /**
   * return value of lbl.keyword in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "キーワード"
   */
  public static final String getLblKeyword() {
    return bundle.getString("lbl.keyword");
  }

  /**
   * return value of lbl.search.condition in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "検索条件"
   */
  public static final String getLblSearchCondition() {
    return bundle.getString("lbl.search.condition");
  }

  /**
   * return value of config.browserPath.lbl in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "browserPath"
   */
  public static final String getConfigBrowserPathLbl() {
    return bundle.getString("config.browserPath.lbl");
  }

  /**
   * return value of lbl.constracter in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "コンストラクタ"
   */
  public static final String getLblConstracter() {
    return bundle.getString("lbl.constracter");
  }

  /**
   * return value of author.HP in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "http://amsoft.minidns.net/"
   */
  public static final String getAuthorHP() {
    return bundle.getString("author.HP");
  }

  /**
   * return value of app.name in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "KaishuJ"
   */
  public static final String getAppName() {
    return bundle.getString("app.name");
  }

  /**
   * return value of lbl.last.round.dt in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "最終巡回日時"
   */
  public static final String getLblLastRoundDt() {
    return bundle.getString("lbl.last.round.dt");
  }

  /**
   * return value of lbl.reg in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "正規表現"
   */
  public static final String getLblReg() {
    return bundle.getString("lbl.reg");
  }

  /**
   * return value of lbl.round.start in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "巡回開始"
   */
  public static final String getLblRoundStart() {
    return bundle.getString("lbl.round.start");
  }

  /**
   * return value of lbl.log in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "ログ"
   */
  public static final String getLblLog() {
    return bundle.getString("lbl.log");
  }

  /**
   * return value of lbl.clear in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "クリア"
   */
  public static final String getLblClear() {
    return bundle.getString("lbl.clear");
  }

  /**
   * return value of help.url in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "http://amsoft.minidns.net/"
   */
  public static final String getHelpUrl() {
    return bundle.getString("help.url");
  }

  /**
   * return value of lbl.getted.class.num in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "取得済クラス数"
   */
  public static final String getLblGettedClassNum() {
    return bundle.getString("lbl.getted.class.num");
  }

  /**
   * return value of lbl.explain in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "説明"
   */
  public static final String getLblExplain() {
    return bundle.getString("lbl.explain");
  }

  /**
   * return value of lbl.className in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "クラス名"
   */
  public static final String getLblClassName() {
    return bundle.getString("lbl.className");
  }

  /**
   * return value of lbl.part.match in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "部分一致"
   */
  public static final String getLblPartMatch() {
    return bundle.getString("lbl.part.match");
  }

  /**
   * return value of author in jp/co/powerbeans/kaishuj/msg/msg.
   * @return "Akihiko MONDEN"
   */
  public static final String getAuthor() {
    return bundle.getString("author");
  }
}
